Skip to main content
GET
/
exchanges
/
{exchange_id}
/
markets
CLI
curl --request GET \
--url 'https://api.coinpaprika.com/v1/exchanges/binance/markets'
import requests

url = "https://api.coinpaprika.com/v1/exchanges/{exchange_id}/markets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.coinpaprika.com/v1/exchanges/{exchange_id}/markets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "pair": "BTC/USDT",
    "base_currency_id": "btc-bitcoin",
    "base_currency_name": "Bitcoin",
    "quote_currency_id": "usdt-tether",
    "quote_currency_name": "Tether",
    "market_url": "https://www.binance.com/en/trade/BTC_USDT",
    "category": "Spot",
    "fee_type": "Percentage",
    "outlier": false,
    "reported_volume_24h_share": 30.29,
    "quotes": {
      "$KEY": {
        "price": 4582.6967796728,
        "volume_24h": 229658776.19514218
      }
    },
    "last_updated": "2018-11-14T07:20:41Z"
  }
]
{
  "error": "id not found"
}
{
  "error": "you have reached maximum request limit"
}

Path Parameters

exchange_id
string
required
Example:

"binance"

Query Parameters

quotes
string
default:USD

Comma separated list of quotes to return. Currently allowed values: BTC, ETH, USD, EUR, PLN, KRW, GBP, CAD, JPY, RUB, TRY, NZD, AUD, CHF, UAH, HKD, SGD, NGN, PHP, MXN, BRL, THB, CLP, CNY, CZK, DKK, HUF, IDR, ILS, INR, MYR, NOK, PKR, SEK, TWD, ZAR, VND, BOB, COP, PEN, ARS, ISK

Example:

"USD,BTC"

Response

successful operation

pair
string
Example:

"BTC/USDT"

base_currency_id
string
Example:

"btc-bitcoin"

base_currency_name
string
Example:

"Bitcoin"

quote_currency_id
string
Example:

"usdt-tether"

quote_currency_name
string
Example:

"Tether"

market_url
string
Example:

"https://www.binance.com/en/trade/BTC_USDT"

category
string
Example:

"Spot"

fee_type
string
Example:

"Percentage"

outlier
boolean
Example:

false

reported_volume_24h_share
number
Example:

30.29

quotes
object
last_updated
string
Example:

"2018-11-14T07:20:41Z"